pred.mean {pomp} | R Documentation

## Prediction mean

### Description

The mean of the prediction distribution

### Usage

    ## S4 method for signature 'kalmand_pomp'
    pred.mean(object, vars, ...)

    ## S4 method for signature 'pfilterd_pomp'
    pred.mean(object, vars, ...)

### Arguments

`object` | result of a filtering computation
`vars` | optional character; names of variables
`...` | ignored

### Details

The prediction distribution is that of

Xt | Y1=y1*,…,Y(t-1)=y(t-1)*,

where Xt, Yt are the latent state and observable processes, respectively, and yt* is the data, at time t.

The prediction mean is therefore the expectation of this distribution

E[Xt | Y1=y1*,…,Y(t-1)=y(t-1)*].

### See Also

Other particle filter methods: `bsmc2`, `cond.logLik`, `eff.sample.size`, `filter.mean`, `filter.traj`, `mif2`, `pfilter`, `pmcmc`, `pred.var`

[Package pomp version 2.3 Index]